Bug 1787312 - Please, update to 3.2.6
Summary: Please, update to 3.2.6
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mockito
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stuart D Gathman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-02 10:40 UTC by Jakub Jelen
Modified: 2021-01-03 01:10 UTC (History)
6 users (show)

Fixed In Version: mockito-3.5.13-1.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-01-03 01:10:58 UTC
Type: Bug


Attachments (Terms of Use)

Description Jakub Jelen 2020-01-02 10:40:12 UTC
The latest upstream version of mockito is 3.26, while fedora still sticks with 2.x, which is blocking updating some of the new packages to use the new features.

https://site.mockito.org/

Comment 1 Ben Cotton 2020-02-11 17:38:30 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 2 Jerry James 2020-09-14 21:22:25 UTC
There is a pull request for this: https://src.fedoraproject.org/rpms/mockito/pull-request/2.  Roman, can you take a look at the pull request?

Comment 3 Fedora Admin user for bugzilla script actions 2020-10-05 02:51:29 UTC
This package has changed maintainer in the Fedora.
Reassigning to the new maintainer of this component.

Comment 4 Fedora Admin user for bugzilla script actions 2020-10-07 02:51:49 UTC
This package has changed maintainer in the Fedora.
Reassigning to the new maintainer of this component.

Comment 5 Stuart D Gathman 2020-10-07 18:50:03 UTC
The pull request is applied to master.  I checked compiling openas2 on f33 with new version - seems ok.  There is now 3.5.13 available, which I will use if it works with openas2.  Trying to figure out how to remove sonatype-oss-parent dependency from openas2 ...

Comment 6 Stuart D Gathman 2020-10-10 00:04:52 UTC
mockito-3.5.5 builds in mock for rawhide, but not on Fedora builders.  https://koji.fedoraproject.org/koji/buildinfo?buildID=1622723

[ERROR] Failures: 
[ERROR]   StubbingLookupListenerCallbackTest.add_listeners_concurrently_sanity_check:202 expected:<50> but was:<51>
[INFO] 
[ERROR] Tests run: 2060, Failures: 1, Errors: 0, Skipped: 35

Comment 7 Jerry James 2020-10-14 15:23:54 UTC
There is a comment just above the failed assertion that says:

// This assertion may be flaky. If it is let's fix it or remove the test. For now, I'm
// keeping the test.

That suggests that there is some kind of race going on.  If you keep trying the koji builds, one may eventually succeed.  If you keep trying the mock builds, one may eventually fail.

We should probably disable this test for now.

Comment 8 Stuart D Gathman 2020-10-23 15:31:17 UTC
I uploaded 3.5.13.  That builds on koji.  I'm working on getting openas2 to build with tests enabled.

Comment 9 Stuart D Gathman 2020-10-25 15:38:53 UTC
Openas2 built on rawhide with 3.5.13 and tests enabled.

I pushed to f33, build failed - apparently an internal Koji error.  Will hold off on retry to see if there is any serious incompatibility on rawhide.

Comment 10 Fedora Update System 2020-12-01 00:28:09 UTC
FEDORA-2020-45859bea6d has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-45859bea6d

Comment 11 Fedora Update System 2020-12-02 01:38:33 UTC
FEDORA-2020-45859bea6d has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-45859bea6d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-45859bea6d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2021-01-03 01:10:58 UTC
FEDORA-2020-45859bea6d has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.